using skyscraper5.Skyscraper.IO;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace skyscraper8.Ietf.FLUTE
{
	internal class FecObjectTransmissionInformation
	{
		public FecObjectTransmissionInformation(byte[] buffer)
		{
			MemoryStream ms = new MemoryStream(buffer, false);
			TransferLength = ms.ReadUInt48BE();
			FecInstanceId = ms.ReadUInt16BE();
			EncodingSymbolLength = ms.ReadUInt16BE();
			MaximumSourceBlockLength = ms.ReadUInt32BE();
		}

		public ulong TransferLength { get; }
		public ushort FecInstanceId { get; }
		public ushort EncodingSymbolLength { get; }
		public uint MaximumSourceBlockLength { get; }
	}
}
